# sbomDependencyGraphResponse

Represents response for dependency graph information.

### Examples

```graphql
type SbomDependencyGraphResponse {
  nodes: [DependencyNode]
  allNodes: [DependencyNode]
  edges: [DependencyEdge]
  allEdges: [DependencyEdge]
}
```

### Fields

| Field                                                                                                       | Description                                                    | Supported fields                                                                                                                                        |
| ----------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| nodes [`[DependencyNode]`](/api-documentation/api-reference/api--issue/types/objects/dependency-node.md)    | Nodes in the current dependency graph                          | <p>id <code>String</code><br>name <code>String</code><br>width <code>String</code><br>height <code>String</code><br>vulnerable <code>Boolean</code></p> |
| allNodes [`[DependencyNode]`](/api-documentation/api-reference/api--issue/types/objects/dependency-node.md) | All nodes including transitive dependencies                    | <p>id <code>String</code><br>name <code>String</code><br>width <code>String</code><br>height <code>String</code><br>vulnerable <code>Boolean</code></p> |
| edges [`[DependencyEdge]`](/api-documentation/api-reference/api--issue/types/objects/dependency-edge.md)    | Edges in the current dependency graph (parent-child relations) | <p>v <code>String</code><br>w <code>String</code></p>                                                                                                   |
| allEdges [`[DependencyEdge]`](/api-documentation/api-reference/api--issue/types/objects/dependency-edge.md) | All edges including transitive dependencies                    | <p>v <code>String</code><br>w <code>String</code></p>                                                                                                   |

### References

#### Fields with this object:

* [{} SbomLib.dependencyGraph](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md)
* [{} Issue.dependencyGraph](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/sbom-dependency-graph-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
